# Create Folder

Source: https://www.digiparser.com/docs/api/createFolder

# Create Folder

Server URL`loading...`

POST

/`api`/`v1`/`parsers`/`{parserId}`/`folders`

Send

Authorization

Path

Body

Create a folder for a parser.

## [Authorization](#authorization)

`bearerAuth`

authorization<token>

Your API key. Include it directly in the Authorization header as the API key value (e.g., 'authorization: your-api-key-here')

In: `header`

## [Path Parameters](#path-parameters)

parserId\*string

The ID of the parser

Format`uuid`

## [Request Body](#request-body)

`application/json`

name\*string

color?string|null

parentId?string|null

Parent folder ID, or null to create a root folder.

hasAutoAssign?boolean

autoAssignment?object|boolean|null

Optional folder auto-assignment configuration.

\[key: string\]?never

## [Response Body](#response-body)

### 201

`application/json`

### 400

`application/json`

### 401

`application/json`

### 404

`application/json`

### 409

`application/json`

cURL

JavaScript

Go

Python

Java

C#

```
curl -X POST "https://api.digiparser.com/api/v1/parsers/d1458cd7-8692-488f-8b3f-0fddade05f9c/folders" \  -H "Content-Type: application/json" \  -d '{    "name": "Invoices"  }'
```

201400401404409

```
{
  "id": "76e4f0ef-15d0-4bde-8c0e-43d361c0795c",
  "name": "Invoices",
  "slug": "invoices",
  "color": "#2563eb",
  "parentId": null,
  "documentCount": 24,
  "directDocumentCount": 12,
  "childFolderCount": 3,
  "pathIds": [
    "76e4f0ef-15d0-4bde-8c0e-43d361c0795c"
  ],
  "pathNames": [
    "Invoices"
  ],
  "pathLabel": "Invoices",
  "depth": 0,
  "hasAutoAssign": false,
  "autoAssignment": null,
  "createdAt": "2026-01-23T18:11:47.319Z",
  "updatedAt": "2026-01-23T18:12:29.860Z"
}
```

```
{
  "error": true,
  "message": "Parser ID mismatch"
}
```

```
{
  "error": true,
  "message": "Parser ID mismatch"
}
```

```
{
  "error": true,
  "message": "Document not found",
  "notFound": [
    {
      "type": "documentId",
      "value": "string"
    }
  ]
}
```

```
{
  "error": true,
  "message": "Parser ID mismatch"
}
```

[

List Folders GET

List folders for a parser, including document counts and auto-assignment settings.

](/docs/api/listFolders)[

Update Folder PATCH

Update a parser folder.

](/docs/api/updateFolder)